## ros-rolling-ntrip-client 1.0.1

=== .devcontainer/Makefile ===
.PHONY: all build build-shell clean

# These variables should be overridden in CI builds to configure this build
version ?= latest
docker ?= docker
arch ?= amd64
ros_version ?= galactic

# Just set some directory values to support out of tree builds
makefile_path := $(abspath $(lastword $(MAKEFILE_LIST)))
docker_dir := $(dir $(makefile_path))
project_dir := $(abspath $(docker_dir)/..)
project_name := $(shell echo $(notdir $(project_dir)) | tr A-Z a-z)
artifacts_dir := $(docker_dir)/.artifacts/$(arch)-$(ros_version)
build_dir := $(artifacts_dir)/build
install_dir := $(artifacts_dir)/install
docker_catkin_root := /home/microstrain/catkin_ws
docker_catkin_src_dir := $(docker_catkin_root)/src
docker_catkin_build_dir := $(docker_catkin_root)/build
docker_catkin_install_dir := $(docker_catkin_root)/install

# All of these directories have to exist before we can run most tasks
dir_deps := $(artifacts_dir) $(build_dir) $(install_dir)

# Grab the user and group ID so that the files we create can be deleted and managed from the base system
user_id := $(shell id -u)
group_id := $(shell id -g)

# Set up some variables for the docker build
dev_dockerfile := $(docker_dir)/Dockerfile.dev
build_args := --build-arg http_proxy --build-arg https_proxy --build-arg no_proxy --build-arg ARCH=$(arch) --build-arg ROS_VERSION=$(ros_version) --build-arg USER_ID=$(user_id) --build-arg GROUP_ID=$(group_id)
run_args := -e http_proxy -e https_proxy -e no_proxy
run_mounts := -v "$(project_dir):$(docker_catkin_src_dir)" -v "$(build_dir):$(docker_catkin_build_dir)" -v "$(install_dir):$(docker_catkin_install_dir)"
dev_image_name := $(arch)/$(project_name)-dev:$(ros_version)
dev_image_artifact := $(artifacts_dir)/.image

all: image

$(dev_image_artifact): $(dev_dockerfile) | $(dir_deps)
	@$(docker) build \
		-t $(dev_image_name) \
		-f $(dev_dockerfile) \
		$(build_args) \
		$(project_dir)
	@echo $(dev_image_name) > $@

build-shell: $(dev_image_artifact)
	@$(docker) run \
		-it \
		--rm \
		--privileged \
		--net="host" \
		--user "microstrain" \
		-w $(docker_catkin_root) \
		--entrypoint="/bin/bash" \
		$(run_args) \
		$(run_mounts) \
		$$(cat $<) -c " \
			sudo apt-get update; \
			rosdep install --from-paths $(docker_catkin_src_dir) --ignore-src -r -y; \
			/bin/bash; \
		"

$(artifacts_dir):
	@mkdir -p $@

$(build_dir):
	@mkdir -p $@

$(install_dir):
	@mkdir -p $@

clean:
	@rm -rf "$(build_dir)" "$(install_dir)"
	@rm -f "$(dev_image_artifact)"
	@docker ps -a | grep "$(project_name)" | grep "$(arch)" | grep "$(ros_version)" | tr -s " " | cut -d' ' -f1 | xargs docker rm -f || echo "No containers to remove"
	@docker images | grep "$(project_name)" | grep "$(arch)" | grep "$(ros_version)" | tr -s " " | cut -d' ' -f1 | xargs docker rmi -f || echo "No images to remove"

=== debian/changelog ===
ros-rolling-ntrip-client (1.0.1-1focal) focal; urgency=high

  * Replaces ROS timer destroy methods with ROS2 methods and removes extra destroy
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 20 Jan 2022 05:00:00 -0000

ros-rolling-ntrip-client (1.0.0-1focal) focal; urgency=high

  * Initial implementation of ROS2 NTRIP client
  * Adds ability to cache packets if they do contain some of a mesage but not the whole thing
  * Contributors: drobb257, nathanmillerparker, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 09 Dec 2021 05:00:00 -0000

=== debian/control ===
Source: ros-rolling-ntrip-client
Section: misc
Priority: optional
Maintainer: Rob Fisher <rob.fisher@parker.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-mavros-msgs, ros-rolling-nmea-msgs, ros-rolling-rclpy, ros-rolling-std-msgs, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: https://github.com/LORD-MicroStrain/ntrip_client
Standards-Version: 3.9.2

Package: ros-rolling-ntrip-client
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-rolling-mavros-msgs, ros-rolling-nmea-msgs, ros-rolling-rclpy, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: NTRIP client that will publish RTCM corrections to a ROS topic, and optionally subscribe to NMEA messages to send to an NTRIP server

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/rolling" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	

%:
	dh $@ -v --buildsystem=pybuild --with python3

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ntrip-client//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-ntrip-client 1.2.0

=== debian/changelog ===
ros-rolling-ntrip-client (1.2.0-2jammy) jammy; urgency=high

  * Adds the ability to configure the NTRIP client to connect using SSL (#23 <https://github.com/LORD-MicroStrain/ntrip_client/issues/23>)
  * ROS automatic reconnect (#18 <https://github.com/LORD-MicroStrain/ntrip_client/issues/18>)
    * Adds ability to reconnect to ROS
    * Allows the timeouts and other parameters to be modified via the launch file
    * Moves optional config out of constructor, and declares constnats in class definition
  * Contributors: Rob

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 11 Aug 2022 07:00:00 -0000

ros-rolling-ntrip-client (1.1.0-2jammy) jammy; urgency=high

  * ROS Ntrip Version Configuration (#8 <https://github.com/LORD-MicroStrain/ntrip_client/issues/8>)
    * No longer sends Ntrip-Version header if not specified
    * Adds some hopefully helpful debug logging
    * Properly handles responses that have both a failure response and success response
    * Adds ability to print debug logs via launch parameter
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Fri, 22 Apr 2022 07:00:00 -0000

ros-rolling-ntrip-client (1.0.2-2jammy) jammy; urgency=high

  * Checks if there is a * character in the string before parsing fully
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 10 Feb 2022 08:00:00 -0000

ros-rolling-ntrip-client (1.0.1-2jammy) jammy; urgency=high

  * Replaces ROS timer destroy methods with ROS2 methods and removes extra destroy
  * Contributors: robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 20 Jan 2022 08:00:00 -0000

ros-rolling-ntrip-client (1.0.0-2jammy) jammy; urgency=high

  * Initial implementation of ROS2 NTRIP client
  * Adds ability to cache packets if they do contain some of a mesage but not the whole thing
  * Contributors: drobb257, nathanmillerparker, robbiefish

 -- Rob Fisher <rob.fisher@parker.com>  Thu, 09 Dec 2021 08:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Rob Fisher <rob.fisher@parker.com>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-mavros-msgs, ros-rolling-nmea-msgs, ros-rolling-rclpy, ros-rolling-std-msgs, ros-rolling-ros-workspace, python3-all, python3-setuptools
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-mavros-msgs, ros-rolling-nmea-msgs, ros-rolling-rclpy, ros-rolling-std-msgs, ros-rolling-ros-workspace, python3-all, python3-setuptools, dh-python
 Homepage: https://github.com/LORD-MicroStrain/ntrip_client
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,10 @@
 	--install-lib "\$$base/lib/{interpreter}/site-packages" \
 	
 
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
 %:
-	dh $@ -v --buildsystem=pybuild --with python3
+	dh $@ -v --buildsystem=pybuild --with python3 --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
